> ## Documentation Index
> Fetch the complete documentation index at: https://docs.useinvent.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Broadcast Detail Analytics

> Funnel, per-day engagement series, channels and failure reasons for one broadcast.



## OpenAPI

````yaml https://api.useinvent.com/openapi.json get /orgs/{org_id}/analytics/broadcasts/{broadcast_id}
openapi: 3.1.0
info:
  version: 1.0.0
  title: Invent API
servers:
  - url: https://api.useinvent.com
security:
  - bearerAuth: []
paths:
  /orgs/{org_id}/analytics/broadcasts/{broadcast_id}:
    get:
      tags:
        - Orgs Analytics
      summary: Get Broadcast Detail Analytics
      description: >-
        Funnel, per-day engagement series, channels and failure reasons for one
        broadcast.
      parameters:
        - schema:
            type: string
          required: true
          name: org_id
          in: path
        - schema:
            type: string
          required: true
          name: broadcast_id
          in: path
        - schema:
            type:
              - string
              - 'null'
            format: date-time
          required: false
          name: from_date
          in: query
        - schema:
            type:
              - string
              - 'null'
            format: date-time
          required: false
          name: to_date
          in: query
        - schema:
            $ref: '#/components/schemas/MetricsIntervalSchema'
          required: false
          name: interval
          in: query
        - schema:
            $ref: '#/components/schemas/TimezoneValueSchema'
          required: false
          description: IANA timezone identifier (e.g. America/New_York)
          name: timezone
          in: query
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BroadcastDetailAnalyticsSchema'
components:
  schemas:
    MetricsIntervalSchema:
      type: string
      enum:
        - hour
        - day
        - week
        - month
        - year
    TimezoneValueSchema:
      type: string
      description: IANA timezone identifier (e.g. America/New_York)
    BroadcastDetailAnalyticsSchema:
      type: object
      properties:
        funnel:
          $ref: '#/components/schemas/BroadcastsFunnelSchema'
        series:
          type: array
          items:
            type: object
            properties:
              key:
                type: string
              points:
                type: array
                items:
                  type: object
                  properties:
                    date:
                      type:
                        - string
                        - 'null'
                      format: date-time
                    amount:
                      type: number
                  required:
                    - date
                    - amount
            required:
              - key
              - points
        by_channel:
          type: array
          items:
            $ref: '#/components/schemas/BroadcastsChannelItemSchema'
        failure_reasons:
          type: array
          items:
            $ref: '#/components/schemas/BroadcastsFailureReasonSchema'
      required:
        - funnel
        - series
        - by_channel
        - failure_reasons
    BroadcastsFunnelSchema:
      type: object
      properties:
        recipients:
          type: number
        queued:
          type: number
        sent:
          type: number
        delivered:
          type: number
        opened:
          type: number
        played:
          type: number
        clicked:
          type: number
        skipped:
          type: number
        failed:
          type: number
        bounced:
          type: number
        unsubscribed:
          type: number
        complained:
          type: number
      required:
        - recipients
        - queued
        - sent
        - delivered
        - opened
        - played
        - clicked
        - skipped
        - failed
        - bounced
        - unsubscribed
        - complained
    BroadcastsChannelItemSchema:
      type: object
      properties:
        integration_id:
          type: string
        recipients:
          type: number
        sent:
          type: number
        delivered:
          type: number
        failed:
          type: number
      required:
        - integration_id
        - recipients
        - sent
        - delivered
        - failed
    BroadcastsFailureReasonSchema:
      type: object
      properties:
        reason:
          type: string
        count:
          type: number
      required:
        - reason
        - count
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: Bearer token authentication using your API key

````